Package ru.bitel.bgbilling.modules.reports.server.bean.filter

# Class BGReportFilter

java.lang.Object
ru.bitel.bgbilling.modules.reports.server.bean.filter.BGReportFilter

Direct Known Subclasses:
  `BGReportFilter`

    public class BGReportFilter
    extends java.lang.Object

И для Jasper-отчётов (везде) и для CSV-отчётов (модуль reports).

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BGReportFilter​(java.util.Map<java.lang.String,​java.lang.Object> parameterMap, int userId)` | Конструктор
  `BGReportFilter​(java.util.Map<java.lang.String,​java.lang.String> filter, Preferences setup, int userId)` | Конструктор
  `BGReportFilter​(java.util.Map<java.lang.String,​java.lang.String> filter, Preferences setup, java.util.Map<java.lang.String,​java.lang.Object> parameterMap, int userId)` | Конструктор
  `BGReportFilter​(java.util.Map<java.lang.String,​java.lang.String> filter, Preferences setup, java.util.Map<java.lang.String,​java.lang.Object> parameterMap, net.sf.jasperreports.engine.JRDataset dataset, int userId)` | Конструктор

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `cacheGet​(java.lang.String key)` | Возвращает значение из кеша по ключу
  `void` | `cachePut​(java.lang.String key, java.lang.Object o)` | Занесение значения в кеш
  `boolean` | `getBooleanParam​(java.lang.String name)` | Получение параметра типа boolean, по ключу
  `java.util.Calendar` | `getCalendarParam​(java.lang.String name)` | Получение даты по ключу
  `java.util.Calendar` | `getCalendarParam​(java.lang.String name, java.util.Calendar defaultValue)` |
  `net.sf.jasperreports.engine.JRDataset` | `getDataset()` | Возвращает значение dataset - интерфейс, представляющий набор данных, который может использоваться в отчете.
  `java.util.Date` | `getDateParam​(java.lang.String name)` | Получение даты по ключу
  `ParameterMap` | `getHashValuesWithPrefix​(java.lang.String prefix)` | Возвращает Хеш-значения начинающие с определенным преффиксом
  `int` | `getIntParam​(java.lang.String name)` | Получение параметра типа int, по ключу
  `int` | `getIntParam​(java.lang.String name, int def)` | Получение параметра типа int, по ключу
  `long` | `getLongParam​(java.lang.String name)` | Получение параметра типа long, по ключу
  `long` | `getLongParam​(java.lang.String name, long def)` | Получение параметра типа int, по ключу
  `java.util.Map<java.lang.String,​java.lang.Object>` | `getReportParametersMap()` | Возвращает reportParametrsMap
  `java.lang.String` | `getStringParam​(java.lang.String name)` | Получение строкового параметра из мапа filter по ключу.
  `int` | `getUserId()` |
  `void` | `setCalendarParam​(java.lang.String name, java.util.Calendar value)` | Занесение даты в мап filter
  `void` | `setStringParam​(java.lang.String name, java.lang.String value)` | Занесение строкового параметра в пам filter

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGReportFilter

    public BGReportFilter​(java.util.Map<java.lang.String,​java.lang.String> filter, Preferences setup, int userId)
    Конструктор
    Parameters:
      `filter` - - фильтр
      `setup` - - настройки модуля

  - ### BGReportFilter

    public BGReportFilter​(java.util.Map<java.lang.String,​java.lang.Object> parameterMap, int userId)
    Конструктор
    Parameters:
      `parameterMap` - - мап параметров, которые могут быть использованы для построения отчета

  - ### BGReportFilter

    public BGReportFilter​(java.util.Map<java.lang.String,​java.lang.String> filter, Preferences setup, java.util.Map<java.lang.String,​java.lang.Object> parameterMap, int userId)
    Конструктор
    Parameters:
      `filter` - - фильтр
      `setup` - - настройки модуля, которые могут быть использованы для построения отчета
      `parameterMap` - - мап параметров

  - ### BGReportFilter

    public BGReportFilter​(java.util.Map<java.lang.String,​java.lang.String> filter, Preferences setup, java.util.Map<java.lang.String,​java.lang.Object> parameterMap, net.sf.jasperreports.engine.JRDataset dataset, int userId)
    Конструктор
    Parameters:
      `filter` - - фильтр
      `setup` - - настройки модуля
      `parameterMap` - - мап параметром, которые могут быть использованы для построения отчета
      `dataset` - - интерфейс, представляющий набор данных, который может использоваться в отчете.

- ## Method Details

  - ### getStringParam

    public final java.lang.String getStringParam​(java.lang.String name)
    Получение строкового параметра из мапа filter по ключу. Также пытается искать значение по ключу в setup.
    Parameters:
      `name` - - ключ
    Returns:
      String result

  - ### getIntParam

    public int getIntParam​(java.lang.String name)
    Получение параметра типа int, по ключу
    Parameters:
      `name` - - ключ
    Returns:
      int result, если параметр не найден то вернет 0.

  - ### getIntParam

    public int getIntParam​(java.lang.String name, int def)
    Получение параметра типа int, по ключу
    Parameters:
      `name` - - ключ
      `def` - - значение по умолчанию.
    Returns:
      int result, если параметр не найден то вернет значение по умолчанию.

  - ### getLongParam

    public long getLongParam​(java.lang.String name)
    Получение параметра типа long, по ключу
    Parameters:
      `name` - - ключ
    Returns:
      long result, если параметр не найден то вернет значение 0L.

  - ### getBooleanParam

    public boolean getBooleanParam​(java.lang.String name)
    Получение параметра типа boolean, по ключу
    Parameters:
      `name` - - ключ
    Returns:
      boolean result, если параметр не найден то вернет значение false.

  - ### getLongParam

    public long getLongParam​(java.lang.String name, long def)
    Получение параметра типа int, по ключу
    Parameters:
      `name` - - ключ
      `def` - - значение по умолчанию.
    Returns:
      long result, если параметр не найден то вернет значение по умолчанию.

  - ### getCalendarParam

    public java.util.Calendar getCalendarParam​(java.lang.String name)
    Получение даты по ключу
    Parameters:
      `name` - - ключ
    Returns:
      Calendar resulе. Дата представлена в формате dd.MM.yyyy

  - ### getCalendarParam

    public java.util.Calendar getCalendarParam​(java.lang.String name, java.util.Calendar defaultValue)

  - ### getDateParam

    public java.util.Date getDateParam​(java.lang.String name)
    Получение даты по ключу
    Parameters:
      `name` - - ключ
    Returns:
      Date resulе. Дата представлена в формате dd.MM.yyyy

  - ### setCalendarParam

    public void setCalendarParam​(java.lang.String name, java.util.Calendar value)
    Занесение даты в мап filter
    Parameters:
      `name` - - ключ
      `value` - - значение

  - ### setStringParam

    public void setStringParam​(java.lang.String name, java.lang.String value)
    Занесение строкового параметра в пам filter
    Parameters:
      `name` - - ключ
      `value` - - значение

  - ### getReportParametersMap

    public java.util.Map<java.lang.String,​java.lang.Object> getReportParametersMap()
    Возвращает reportParametrsMap
    Returns:
      Map parameterMap

  - ### getHashValuesWithPrefix

    public ParameterMap getHashValuesWithPrefix​(java.lang.String prefix)
    Возвращает Хеш-значения начинающие с определенным преффиксом
    Parameters:
      `prefix` - - преффкс по которому следует искать параметры.
    Returns:
      Возвращает ParameterMap с найденными параметрами

  - ### cachePut

    public void cachePut​(java.lang.String key, java.lang.Object o)
    Занесение значения в кеш
    Parameters:
      `key` - - ключ
      `o` - - значение

  - ### cacheGet

    public java.lang.Object cacheGet​(java.lang.String key)
    Возвращает значение из кеша по ключу
    Parameters:
      `key` - - ключ
    Returns:
      SoftReference ref, если значения нет то null

  - ### getDataset

    public net.sf.jasperreports.engine.JRDataset getDataset()
    Возвращает значение dataset - интерфейс, представляющий набор данных, который может использоваться в отчете.
    Returns:
      JRDataset dataset.

  - ### getUserId

    public int getUserId()